curl https://production.methodfi.com/entities \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231113",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18"
},
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
}
}'
{
"id": "ent_BzirqpLEm3BW7",
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231113",
"dob": "1997-03-18",
"email": "kevin.doyle@gmail.com",
"ssn_4": null,
"ssn": null
},
"error": null,
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
},
"status": "incomplete",
"verification": {
"identity": {
"verified": false,
"matched": false,
"latest_verification_session": null,
"methods": [
"element",
"kba"
]
},
"phone": {
"verified": true,
"latest_verification_session": "evf_P4QXNj93Y9J8L",
"methods": []
}
},
"connect": null,
"credit_score": null,
"products": [
"identity"
],
"restricted_products": [
"connect",
"credit_score",
"attribute"
],
"subscriptions": [],
"available_subscriptions": [
"connect",
"credit_score"
],
"restricted_subscriptions": [],
"metadata": null,
"created_at": "2023-10-24T21:50:53.024Z",
"updated_at": "2023-10-24T21:50:53.024Z"
}
Entities
Create an Individual
POST
/
entities
curl https://production.methodfi.com/entities \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231113",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18"
},
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
}
}'
{
"id": "ent_BzirqpLEm3BW7",
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231113",
"dob": "1997-03-18",
"email": "kevin.doyle@gmail.com",
"ssn_4": null,
"ssn": null
},
"error": null,
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
},
"status": "incomplete",
"verification": {
"identity": {
"verified": false,
"matched": false,
"latest_verification_session": null,
"methods": [
"element",
"kba"
]
},
"phone": {
"verified": true,
"latest_verification_session": "evf_P4QXNj93Y9J8L",
"methods": []
}
},
"connect": null,
"credit_score": null,
"products": [
"identity"
],
"restricted_products": [
"connect",
"credit_score",
"attribute"
],
"subscriptions": [],
"available_subscriptions": [
"connect",
"credit_score"
],
"restricted_subscriptions": [],
"metadata": null,
"created_at": "2023-10-24T21:50:53.024Z",
"updated_at": "2023-10-24T21:50:53.024Z"
}
Creates a new individual Entity. An Entity can be created with an empty object
and progressively updated with more information from your end user.
Entities are not checked for existing duplicate Entities.
Body
Returns
Returns the newly created Entity.curl https://production.methodfi.com/entities \
-X POST \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231113",
"email": "kevin.doyle@gmail.com",
"dob": "1997-03-18"
},
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
}
}'
{
"id": "ent_BzirqpLEm3BW7",
"type": "individual",
"individual": {
"first_name": "Kevin",
"last_name": "Doyle",
"phone": "+15121231113",
"dob": "1997-03-18",
"email": "kevin.doyle@gmail.com",
"ssn_4": null,
"ssn": null
},
"error": null,
"address": {
"line1": "3300 N Interstate 35",
"line2": null,
"city": "Austin",
"state": "TX",
"zip": "78705"
},
"status": "incomplete",
"verification": {
"identity": {
"verified": false,
"matched": false,
"latest_verification_session": null,
"methods": [
"element",
"kba"
]
},
"phone": {
"verified": true,
"latest_verification_session": "evf_P4QXNj93Y9J8L",
"methods": []
}
},
"connect": null,
"credit_score": null,
"products": [
"identity"
],
"restricted_products": [
"connect",
"credit_score",
"attribute"
],
"subscriptions": [],
"available_subscriptions": [
"connect",
"credit_score"
],
"restricted_subscriptions": [],
"metadata": null,
"created_at": "2023-10-24T21:50:53.024Z",
"updated_at": "2023-10-24T21:50:53.024Z"
}
⌘I